<?xml version="1.0" encoding="gbk" standalone="no"?>
<!DOCTYPE sqlMap PUBLIC "-//iBATIS.com//DTD SQL Map 2.0//EN" "http://ibatis.apache.org/dtd/sql-map-2.dtd">
<sqlMap namespace="" >
	
	<sql id="condition_Gdwdaqmxx">
		where 1=1
		<isNotEmpty prepend='AND' property='startTime'>
			 fwdsdksbjsj >= #startTime#
		</isNotEmpty>		
        <isNotEmpty prepend='AND' property='endTime'>
			<![CDATA[ fwdsdksbjsj <= #endTime#]]>
		</isNotEmpty>
      	
		<isNotEmpty prepend='AND' property='LIKEbjxxid'>
			(bjxxid like '%$LIKEbjxxid$%'   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bjxxid'>
			(bjxxid = #bjxxid#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbjbh'>
			(bjbh like '%$LIKEbjbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bjbh'>
			(bjbh = #bjbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEfxbjbh'>
			(fxbjbh like '%$LIKEfxbjbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='fxbjbh'>
			(fxbjbh = #fxbjbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEnbid'>
			(nbid like '%$LIKEnbid$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='nbid'>
			(nbid = #nbid# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEfxsbbh'>
			(fxsbbh like '%$LIKEfxsbbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='fxsbbh'>
			(fxsbbh = #fxsbbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEfxtdbh'>
			(fxtdbh like '%$LIKEfxtdbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='fxtdbh'>
			(fxtdbh = #fxtdbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEfxsbip'>
			(fxsbip like '%$LIKEfxsbip$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='fxsbip'>
			(fxsbip = #fxsbip# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEspyxtbh'>
			(spyxtbh like '%$LIKEspyxtbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='spyxtbh'>
			(spyxtbh = #spyxtbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEspytdbh'>
			(spytdbh like '%$LIKEspytdbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='spytdbh'>
			(spytdbh = #spytdbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbjlx'>
			(bjlx like '%$LIKEbjlx$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bjlx'>
			(bjlx = #bjlx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEfwdsdksbjsj'>
			(fwdsdksbjsj like '%$LIKEfwdsdksbjsj$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='fwdsdksbjsj'>
			(fwdsdksbjsj = #fwdsdksbjsj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEfwdsdbjkssj'>
			(fwdsdbjkssj like '%$LIKEfwdsdbjkssj$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='fwdsdbjkssj'>
			(fwdsdbjkssj = #fwdsdbjkssj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEfwdsdjsbjsj'>
			(fwdsdjsbjsj like '%$LIKEfwdsdjsbjsj$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='fwdsdjsbjsj'>
			(fwdsdjsbjsj = #fwdsdjsbjsj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEspybjkssj'>
			(spybjkssj like '%$LIKEspybjkssj$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='spybjkssj'>
			(spybjkssj = #spybjkssj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEspybjsj'>
			(spybjsj like '%$LIKEspybjsj$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='spybjsj'>
			(spybjsj = #spybjsj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEspybjjssj'>
			(spybjjssj like '%$LIKEspybjjssj$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='spybjjssj'>
			(spybjjssj = #spybjjssj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbjlxlj'>
			(bjlxlj like '%$LIKEbjlxlj$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bjlxlj'>
			(bjlxlj = #bjlxlj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbjtp'>
			(bjtp like '%$LIKEbjtp$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bjtp'>
			(bjtp = #bjtp# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbjtph'>
			(bjtph like '%$LIKEbjtph$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bjtph'>
			(bjtph = #bjtph# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbjtpl'>
			(bjtpl like '%$LIKEbjtpl$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bjtpl'>
			(bjtpl = #bjtpl# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbjtpdx'>
			(bjtpdx like '%$LIKEbjtpdx$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bjtpdx'>
			(bjtpdx = #bjtpdx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbjtplj'>
			(bjtplj like '%$LIKEbjtplj$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bjtplj'>
			(bjtplj = #bjtplj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEfxsbmc'>
			(fxsbmc like '%$LIKEfxsbmc$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='fxsbmc'>
			(fxsbmc = #fxsbmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEzt1'>
			(zt1 like '%$LIKEzt1$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='zt1'>
			(zt1 = #zt1# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEzt2'>
			(zt2 like '%$LIKEzt2$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='zt2'>
			(zt2 = #zt2# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEzt3'>
			(zt3 like '%$LIKEzt3$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='zt3'>
			(zt3 = #zt3# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEzhhbjmc'>
			(zhhbjmc like '%$LIKEzhhbjmc$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='zhhbjmc'>
			(zhhbjmc = #zhhbjmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbjdj'>
			(bjdj like '%$LIKEbjdj$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bjdj'>
			(bjdj = #bjdj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEyhid'>
			(yhid like '%$LIKEyhid$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='yhid'>
			(yhid = #yhid# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsctsj'>
			(sctsj like '%$LIKEsctsj$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sctsj'>
			(sctsj = #sctsj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbjzwmc'>
			(bjzwmc like '%$LIKEbjzwmc$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bjzwmc'>
			(bjzwmc = #bjzwmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEyzwbh'>
			(yzwbh like '%$LIKEyzwbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='yzwbh'>
			(yzwbh = #yzwbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEztbh'>
			(ztbh like '%$LIKEztbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='ztbh'>
			(ztbh = #ztbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEdvuid'>
			(dvuid like '%$LIKEdvuid$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='dvuid'>
			(dvuid = #dvuid# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjry'>
			(cjry like '%$LIKEcjry$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjry'>
			(cjry = #cjry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjrq'>
			(cjrq like '%$LIKEcjrq$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjrq'>
			(cjrq = #cjrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExgry'>
			(xgry like '%$LIKExgry$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xgry'>
			(xgry = #xgry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExgrq'>
			(xgrq like '%$LIKExgrq$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xgrq'>
			(xgrq = #xgrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbz'>
			(bz like '%$LIKEbz$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bz'>
			(bz = #bz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz1'>
			(kz1 like '%$LIKEkz1$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz1'>
			(kz1 = #kz1# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz2'>
			(kz2 like '%$LIKEkz2$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz2'>
			(kz2 = #kz2# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz3'>
			(kz3 like '%$LIKEkz3$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz3'>
			(kz3 = #kz3# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz4'>
			(kz4 like '%$LIKEkz4$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz4'>
			(kz4 = #kz4# )
		</isNotEmpty>
		<isNotEmpty property='tableparam'>
			$tableparam$
		</isNotEmpty>
		<isNotEmpty property='order'>
			$order$
		</isNotEmpty>
	</sql>
	
	<!-- add object -->
	<insert id="insert_Gdwdaqmxx" parameterClass="java.util.Map">
		insert into 
		gdwdaqmxx(
		<dynamic prepend=" ">  
			<isNotEmpty prepend=',' property='bjxxid'>bjxxid</isNotEmpty>
			<isNotEmpty prepend=',' property='bjbh'>bjbh</isNotEmpty>
			<isNotEmpty prepend=',' property='fxbjbh'>fxbjbh</isNotEmpty>
			<isNotEmpty prepend=',' property='nbid'>nbid</isNotEmpty>
			<isNotEmpty prepend=',' property='fxsbbh'>fxsbbh</isNotEmpty>
			<isNotEmpty prepend=',' property='fxtdbh'>fxtdbh</isNotEmpty>
			<isNotEmpty prepend=',' property='fxsbip'>fxsbip</isNotEmpty>
			<isNotEmpty prepend=',' property='spyxtbh'>spyxtbh</isNotEmpty>
			<isNotEmpty prepend=',' property='spytdbh'>spytdbh</isNotEmpty>
			<isNotEmpty prepend=',' property='bjlx'>bjlx</isNotEmpty>
			<isNotEmpty prepend=',' property='fwdsdksbjsj'>fwdsdksbjsj</isNotEmpty>
			<isNotEmpty prepend=',' property='fwdsdbjkssj'>fwdsdbjkssj</isNotEmpty>
			<isNotEmpty prepend=',' property='fwdsdjsbjsj'>fwdsdjsbjsj</isNotEmpty>
			<isNotEmpty prepend=',' property='spybjkssj'>spybjkssj</isNotEmpty>
			<isNotEmpty prepend=',' property='spybjsj'>spybjsj</isNotEmpty>
			<isNotEmpty prepend=',' property='spybjjssj'>spybjjssj</isNotEmpty>
			<isNotEmpty prepend=',' property='bjlxlj'>bjlxlj</isNotEmpty>
			<isNotEmpty prepend=',' property='bjtp'>bjtp</isNotEmpty>
			<isNotEmpty prepend=',' property='bjtph'>bjtph</isNotEmpty>
			<isNotEmpty prepend=',' property='bjtpl'>bjtpl</isNotEmpty>
			<isNotEmpty prepend=',' property='bjtpdx'>bjtpdx</isNotEmpty>
			<isNotEmpty prepend=',' property='bjtplj'>bjtplj</isNotEmpty>
			<isNotEmpty prepend=',' property='fxsbmc'>fxsbmc</isNotEmpty>
			<isNotEmpty prepend=',' property='zt1'>zt1</isNotEmpty>
			<isNotEmpty prepend=',' property='zt2'>zt2</isNotEmpty>
			<isNotEmpty prepend=',' property='zt3'>zt3</isNotEmpty>
			<isNotEmpty prepend=',' property='zhhbjmc'>zhhbjmc</isNotEmpty>
			<isNotEmpty prepend=',' property='bjdj'>bjdj</isNotEmpty>
			<isNotEmpty prepend=',' property='yhid'>yhid</isNotEmpty>
			<isNotEmpty prepend=',' property='sctsj'>sctsj</isNotEmpty>
			<isNotEmpty prepend=',' property='bjzwmc'>bjzwmc</isNotEmpty>
			<isNotEmpty prepend=',' property='yzwbh'>yzwbh</isNotEmpty>
			<isNotEmpty prepend=',' property='ztbh'>ztbh</isNotEmpty>
			<isNotEmpty prepend=',' property='dvuid'>dvuid</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>cjry</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>cjrq</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>xgry</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>xgrq</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz</isNotEmpty>
			<isNotEmpty prepend=',' property='kz1'>kz1</isNotEmpty>
			<isNotEmpty prepend=',' property='kz2'>kz2</isNotEmpty>
			<isNotEmpty prepend=',' property='kz3'>kz3</isNotEmpty>
			<isNotEmpty prepend=',' property='kz4'>kz4</isNotEmpty>

		</dynamic>  
	    <![CDATA[ 
	        ) values ( 
	    ]]>  
	     <dynamic prepend=" "> 
			<isNotEmpty prepend=',' property='bjxxid'>#bjxxid#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjbh'>#bjbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='fxbjbh'>#fxbjbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='nbid'>#nbid#</isNotEmpty>
			<isNotEmpty prepend=',' property='fxsbbh'>#fxsbbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='fxtdbh'>#fxtdbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='fxsbip'>#fxsbip#</isNotEmpty>
			<isNotEmpty prepend=',' property='spyxtbh'>#spyxtbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='spytdbh'>#spytdbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjlx'>#bjlx#</isNotEmpty>
			<isNotEmpty prepend=',' property='fwdsdksbjsj'>#fwdsdksbjsj#</isNotEmpty>
			<isNotEmpty prepend=',' property='fwdsdbjkssj'>#fwdsdbjkssj#</isNotEmpty>
			<isNotEmpty prepend=',' property='fwdsdjsbjsj'>#fwdsdjsbjsj#</isNotEmpty>
			<isNotEmpty prepend=',' property='spybjkssj'>#spybjkssj#</isNotEmpty>
			<isNotEmpty prepend=',' property='spybjsj'>#spybjsj#</isNotEmpty>
			<isNotEmpty prepend=',' property='spybjjssj'>#spybjjssj#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjlxlj'>#bjlxlj#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjtp'>#bjtp#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjtph'>#bjtph#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjtpl'>#bjtpl#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjtpdx'>#bjtpdx#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjtplj'>#bjtplj#</isNotEmpty>
			<isNotEmpty prepend=',' property='fxsbmc'>#fxsbmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='zt1'>#zt1#</isNotEmpty>
			<isNotEmpty prepend=',' property='zt2'>#zt2#</isNotEmpty>
			<isNotEmpty prepend=',' property='zt3'>#zt3#</isNotEmpty>
			<isNotEmpty prepend=',' property='zhhbjmc'>#zhhbjmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjdj'>#bjdj#</isNotEmpty>
			<isNotEmpty prepend=',' property='yhid'>#yhid#</isNotEmpty>
			<isNotEmpty prepend=',' property='sctsj'>#sctsj#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjzwmc'>#bjzwmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='yzwbh'>#yzwbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='ztbh'>#ztbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='dvuid'>#dvuid#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>#cjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>#cjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>#xgry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>#xgrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>#bz#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz1'>#kz1#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz2'>#kz2#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz3'>#kz3#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz4'>#kz4#</isNotEmpty>

		 </dynamic>  
	    <![CDATA[ 
	        ) 
	    ]]> 
	</insert>
	
	<!-- edit object  -->
	<update id="update_Gdwdaqmxx" parameterClass="java.util.Map">
		update gdwdaqmxx 
		<dynamic prepend="set ">   
			
			<isNotEmpty prepend=',' property='bjbh'>bjbh=#bjbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='fxbjbh'>fxbjbh=#fxbjbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='nbid'>nbid=#nbid#</isNotEmpty>
			<isNotEmpty prepend=',' property='fxsbbh'>fxsbbh=#fxsbbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='fxtdbh'>fxtdbh=#fxtdbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='fxsbip'>fxsbip=#fxsbip#</isNotEmpty>
			<isNotEmpty prepend=',' property='spyxtbh'>spyxtbh=#spyxtbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='spytdbh'>spytdbh=#spytdbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjlx'>bjlx=#bjlx#</isNotEmpty>
			<isNotEmpty prepend=',' property='fwdsdksbjsj'>fwdsdksbjsj=#fwdsdksbjsj#</isNotEmpty>
			<isNotEmpty prepend=',' property='fwdsdbjkssj'>fwdsdbjkssj=#fwdsdbjkssj#</isNotEmpty>
			<isNotEmpty prepend=',' property='fwdsdjsbjsj'>fwdsdjsbjsj=#fwdsdjsbjsj#</isNotEmpty>
			<isNotEmpty prepend=',' property='spybjkssj'>spybjkssj=#spybjkssj#</isNotEmpty>
			<isNotEmpty prepend=',' property='spybjsj'>spybjsj=#spybjsj#</isNotEmpty>
			<isNotEmpty prepend=',' property='spybjjssj'>spybjjssj=#spybjjssj#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjlxlj'>bjlxlj=#bjlxlj#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjtp'>bjtp=#bjtp#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjtph'>bjtph=#bjtph#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjtpl'>bjtpl=#bjtpl#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjtpdx'>bjtpdx=#bjtpdx#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjtplj'>bjtplj=#bjtplj#</isNotEmpty>
			<isNotEmpty prepend=',' property='fxsbmc'>fxsbmc=#fxsbmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='zt1'>zt1=#zt1#</isNotEmpty>
			<isNotEmpty prepend=',' property='zt2'>zt2=#zt2#</isNotEmpty>
			<isNotEmpty prepend=',' property='zt3'>zt3=#zt3#</isNotEmpty>
			<isNotEmpty prepend=',' property='zhhbjmc'>zhhbjmc=#zhhbjmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjdj'>bjdj=#bjdj#</isNotEmpty>
			<isNotEmpty prepend=',' property='yhid'>yhid=#yhid#</isNotEmpty>
			<isNotEmpty prepend=',' property='sctsj'>sctsj=#sctsj#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjzwmc'>bjzwmc=#bjzwmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='yzwbh'>yzwbh=#yzwbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='ztbh'>ztbh=#ztbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='dvuid'>dvuid=#dvuid#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>cjry=#cjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>cjrq=#cjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>xgry=#xgry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>xgrq=#xgrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz=#bz#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz1'>kz1=#kz1#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz2'>kz2=#kz2#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz3'>kz3=#kz3#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz4'>kz4=#kz4#</isNotEmpty>

		</dynamic>
		where 1=1 
			<isNotEmpty prepend='AND' property='XGTJbjxxid'> bjxxid = #XGTJbjxxid#</isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbjbh'> bjbh = #XGTJbjbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJfxbjbh'> fxbjbh = #XGTJfxbjbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJnbid'> nbid = #XGTJnbid# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJfxsbbh'> fxsbbh = #XGTJfxsbbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJfxtdbh'> fxtdbh = #XGTJfxtdbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJfxsbip'> fxsbip = #XGTJfxsbip# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJspyxtbh'> spyxtbh = #XGTJspyxtbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJspytdbh'> spytdbh = #XGTJspytdbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbjlx'> bjlx = #XGTJbjlx# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJfwdsdksbjsj'> fwdsdksbjsj = #XGTJfwdsdksbjsj# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJfwdsdbjkssj'> fwdsdbjkssj = #XGTJfwdsdbjkssj# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJfwdsdjsbjsj'> fwdsdjsbjsj = #XGTJfwdsdjsbjsj# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJspybjkssj'> spybjkssj = #XGTJspybjkssj# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJspybjsj'> spybjsj = #XGTJspybjsj# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJspybjjssj'> spybjjssj = #XGTJspybjjssj# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbjlxlj'> bjlxlj = #XGTJbjlxlj# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbjtp'> bjtp = #XGTJbjtp# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbjtph'> bjtph = #XGTJbjtph# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbjtpl'> bjtpl = #XGTJbjtpl# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbjtpdx'> bjtpdx = #XGTJbjtpdx# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbjtplj'> bjtplj = #XGTJbjtplj# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJfxsbmc'> fxsbmc = #XGTJfxsbmc# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJzt1'> zt1 = #XGTJzt1# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJzt2'> zt2 = #XGTJzt2# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJzt3'> zt3 = #XGTJzt3# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJzhhbjmc'> zhhbjmc = #XGTJzhhbjmc# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbjdj'> bjdj = #XGTJbjdj# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJyhid'> yhid = #XGTJyhid# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsctsj'> sctsj = #XGTJsctsj# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbjzwmc'> bjzwmc = #XGTJbjzwmc# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJyzwbh'> yzwbh = #XGTJyzwbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJztbh'> ztbh = #XGTJztbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJdvuid'> dvuid = #XGTJdvuid# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcjry'> cjry = #XGTJcjry# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcjrq'> cjrq = #XGTJcjrq# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJxgry'> xgry = #XGTJxgry# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJxgrq'> xgrq = #XGTJxgrq# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbz'> bz = #XGTJbz# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz1'> kz1 = #XGTJkz1# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz2'> kz2 = #XGTJkz2# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz3'> kz3 = #XGTJkz3# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz4'> kz4 = #XGTJkz4# </isNotEmpty>

	</update>
	
	<!-- delete object -->
	<delete id="delete_Gdwdaqmxx" parameterClass="java.util.Map">
		delete from gdwdaqmxx 
		<include refid="condition_Gdwdaqmxx"/>
	</delete>
	
	<!-- batch delete object -->
	<delete id="batch_delete_Gdwdaqmxx" parameterClass="java.util.Map">
		delete from gdwdaqmxx 
		where 1=1
			<isNotEmpty prepend='AND' property='keyword'>
			key  in (#keyword#)
			</isNotEmpty>
	</delete>
	
	<!-- query objects by page-->
	<select id="query_Gdwdaqmxx" resultClass="java.util.HashMap" parameterClass="java.util.Map">
		select 
			bjxxid,bjbh,fxbjbh,nbid,fxtdbm,fxtdlx,fxsbbh,fxtdbh,fxsbip,spyxtbh,spytdbh,bjlx,fwdsdksbjsj,fwdsdbjkssj,fwdsdjsbjsj,spybjkssj,spybjsj,spybjjssj,bjlxlj,bjtp,bjtph,bjtpl,bjtpdx,bjtplj,fxsbmc,zt1,zt2,zt3,zhhbjmc,bjdj,yhid,sctsj,bjzwmc,yzwbh,ztbh,dvuid,cjry,cjrq,xgry,xgrq,bz,kz1,kz2,kz3,kz4
		from gdwdaqmxx 
		<include refid="condition_Gdwdaqmxx"/>		
	</select>
	
	<!-- query objects totalcount -->
	<select id="count_Gdwdaqmxx" resultClass="java.lang.Integer" parameterClass="java.util.Map">
		select count(*) from gdwdaqmxx 
		<include refid="condition_Gdwdaqmxx"/>			
	</select>
	
	<!-- batch add objects -->
	<insert id="batch_insert_Gdwdaqmxx" parameterClass="java.util.List">
	 	<![CDATA[
          INSERT
      	]]>
      	<iterate conjunction=" " > 
			into gdwdaqmxx(
			 <![CDATA[ 
				bjxxid,bjbh,fxbjbh,nbid,fxsbbh,fxtdbh,fxsbip,spyxtbh,spytdbh,bjlx,fwdsdksbjsj,fwdsdbjkssj,fwdsdjsbjsj,spybjkssj,spybjsj,spybjjssj,bjlxlj,bjtp,bjtph,bjtpl,bjtpdx,bjtplj,fxsbmc,zt1,zt2,zt3,zhhbjmc,bjdj,yhid,sctsj,bjzwmc,yzwbh,ztbh,dvuid,cjry,cjrq,xgry,xgrq,bz,kz1,kz2,kz3,kz4
			)values
			 ]]>  		 
			 <![CDATA[ 
				(
				#list[].bjxxid#,#list[].bjbh#,#list[].fxbjbh#,#list[].nbid#,#list[].fxsbbh#,#list[].fxtdbh#,#list[].fxsbip#,#list[].spyxtbh#,#list[].spytdbh#,#list[].bjlx#,#list[].fwdsdksbjsj#,#list[].fwdsdbjkssj#,#list[].fwdsdjsbjsj#,#list[].spybjkssj#,#list[].spybjsj#,#list[].spybjjssj#,#list[].bjlxlj#,#list[].bjtp#,#list[].bjtph#,#list[].bjtpl#,#list[].bjtpdx#,#list[].bjtplj#,#list[].fxsbmc#,#list[].zt1#,#list[].zt2#,#list[].zt3#,#list[].zhhbjmc#,#list[].bjdj#,#list[].yhid#,#list[].sctsj#,#list[].bjzwmc#,#list[].yzwbh#,#list[].ztbh#,#list[].dvuid#,#list[].cjry#,#list[].cjrq#,#list[].xgry#,#list[].xgrq#,#list[].bz#,#list[].kz1#,#list[].kz2#,#list[].kz3#,#list[].kz4#
				)
			]]>    
    	</iterate> 
	</insert>
</sqlMap>











